#ifndef PLAYOUT_H
#define PLAYOUT_H

class PLayout;

#include <tqobject.h>
#include <tqlayout.h>
#include "pmessage.h"
#include "pobject.h"

class PLayout : public PObject
{
  TQ_OBJECT
  
public:
  static PObject *createWidget(CreateArgs &ca);

  PLayout(TQObject *parent = 0);
  virtual ~PLayout();

  /**
   * Handles messages from dsirc
   * PObject can't get messages so return an error
   */
  virtual void messageHandler(int fd, PukeMessage *pm);

  /**
   * Sets the current opbect
   */
  virtual void setWidget(TQObject *qb = 0x0);
  
  /**
   * Returns the current object
   */
  virtual TQBoxLayout *widget();

private:

  TQBoxLayout *layout;

};

#endif
